summaryrefslogtreecommitdiffstats
path: root/system/postgresql
diff options
context:
space:
mode:
author Adis Nezirovic2011-10-08 14:45:11 +0200
committer Robby Workman2011-10-12 04:20:15 +0200
commitf7624e6796d0d4f6adb58b7dee1597376a6431b9 (patch)
treeab30fcc9111d4976d030ac38a26375f478b38215 /system/postgresql
parentba21b2a8745f81ee63b6fb86354e663ed7e80bbd (diff)
downloadslackbuilds-f7624e6796d0d4f6adb58b7dee1597376a6431b9.tar.gz
system/postgresql: Updated for version 9.1.1.
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system/postgresql')
-rw-r--r--system/postgresql/doinst.sh18
-rw-r--r--system/postgresql/postgresql.SlackBuild18
-rw-r--r--system/postgresql/postgresql.info8
-rw-r--r--system/postgresql/slack-desc2
4 files changed, 23 insertions, 23 deletions
diff --git a/system/postgresql/doinst.sh b/system/postgresql/doinst.sh
index 203ba5aa89..d9f098a6ff 100644
--- a/system/postgresql/doinst.sh
+++ b/system/postgresql/doinst.sh
@@ -10,13 +10,17 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
-# Keep same perms on rc.postgresql.new:
-if [ -e etc/rc.d/rc.postgresql ]; then
- cp -a etc/rc.d/rc.postgresql etc/rc.d/rc.postgresql.new.incoming
- cat etc/rc.d/rc.postgresql.new > etc/rc.d/rc.postgresql.new.incoming
- mv etc/rc.d/rc.postgresql.new.incoming etc/rc.d/rc.postgresql.new
-fi
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
-config etc/rc.d/rc.postgresql.new
+preserve_perms etc/rc.d/rc.postgresql.new
config etc/logrotate.d/postgresql.new
diff --git a/system/postgresql/postgresql.SlackBuild b/system/postgresql/postgresql.SlackBuild
index 4d99de49f9..1440925c9e 100644
--- a/system/postgresql/postgresql.SlackBuild
+++ b/system/postgresql/postgresql.SlackBuild
@@ -1,28 +1,26 @@
#!/bin/sh
## Slackware build script for PostgreSQL
-## $Revision: 125327c245d3 $
-## $Date: 2010/10/20 20:09:12 $
+## $Revision: 5ad45bfd049c $
+## $Date: 2011/09/27 08:41:46 $
##
-## Copyright 2007-2010 Adis Nezirovic <adis _at_ linux.org.ba>
+## Copyright 2007-2011 Adis Nezirovic <adis _at_ linux.org.ba>
## Licensed under GNU GPL v2
# Modified by the SlackBuilds.org Project
PRGNAM=postgresql
-VERSION=9.0.3
+VERSION=${VERSION:-9.1.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PG_UID=${PG_UID:-209}
PG_GID=${PG_GID:-209}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -60,7 +58,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on any and all errors
+set -e
rm -rf $TMP/$PRGNAM-$VERSION $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -111,10 +109,8 @@ done
cd $TMP/$PRGNAM-$VERSION
-( cd $PKG/usr/man || exit 1
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
cp -a COPYRIGHT HISTORY README doc/* $PKG/usr/doc/$PRGNAM-$VERSION/
rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/{man.tar.gz,man1,manl,man7,postgres.tar.gz}
diff --git a/system/postgresql/postgresql.info b/system/postgresql/postgresql.info
index af27616893..02fbb2b98b 100644
--- a/system/postgresql/postgresql.info
+++ b/system/postgresql/postgresql.info
@@ -1,10 +1,10 @@
PRGNAM="postgresql"
-VERSION="9.0.3"
+VERSION="9.1.1"
HOMEPAGE="http://www.postgresql.org"
-DOWNLOAD="ftp://ftp.postgresql.org/pub/source/v9.0.3/postgresql-9.0.3.tar.bz2"
-MD5SUM="928df8c40bb012ad10756e58b70516fb"
+DOWNLOAD="ftp://ftp.postgresql.org/pub/source/v9.1.1/postgresql-9.1.1.tar.bz2"
+MD5SUM="061a9f17323117c9358ed60f33ecff78"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Adis Nezirovic"
EMAIL="adis_at_linux.org.ba"
-APPROVED="rworkman"
+APPROVED="rworkman,Niels Horn"
diff --git a/system/postgresql/slack-desc b/system/postgresql/slack-desc
index 24c307fae9..83dc2de4aa 100644
--- a/system/postgresql/slack-desc
+++ b/system/postgresql/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
postgresql: PostgreSQL (object-relational database management system)
postgresql:
postgresql: PostgreSQL is an advanced object-relational database management